/* number of aggregated M-band samples across each VIIRS scan */
#define SAMPLES_375M 6400
#define LINES_PER_SCAN_375M 32


/* M13 unagg size */
#define SAMPLES_UNAGG 5024




#define SAMPLES_750M 3200
#define LINES_PER_SCAN_750M 16

/*
Size of large-scale moving window (in pixels) in the along-scan direction.
This should be an odd number that is large compared to the 21 x 21 pixel
maximum size of the contextual window used by the detection algorithm.
*/
#define ZONE_WIDTH 301
#define MIN_VALID_ZONE_PIX 2000


/* factor to convert from degrees to radians */
#define D2RF 0.0174533F
#define D2R  0.017453292520

/* factor to convert from radians to degrees */
#define R2D 57.29578F


#define MAX_MSG_LEN 128


/* for coarse-resolution fire product */
#define SAMPLES_5KM 271
#define LINES_PER_SCAN_5KM 2


/* Earth radius (km) */
#define EARTH_RADIUS 6371.0


#define MIN(X,Y) (((X) < (Y)) ? (X) : (Y))
#define MAX(X,Y) (((X) > (Y)) ? (X) : (Y))

