/*
A structure to contain only the relevant HDF information from
the input granules.
*/

/* Info on each input file (sds indexs and scale/offset) */
typedef struct {
	/* Files*/
	hid_t	sd_id_i01;
	hid_t	sd_id_i02;
	hid_t	sd_id_i03;
	hid_t	sd_id_i04;
	hid_t	sd_id_i05;
	hid_t	sd_id_gitco;
	hid_t	sd_id_m13_agg;
	hid_t	sd_id_m13_unagg;

	hid_t	sds_index_ref1, sds_index_ref2, sds_index_ref3;
	hid_t	sds_index_bt4, sds_index_bt5;
	hid_t	sds_index_rad13_agg, sds_index_rad13_unagg;

	hid_t	sds_index_ref1_fac;
	hid_t	sds_index_ref2_fac;
	hid_t	sds_index_ref3_fac;
	hid_t	sds_index_bt4_fac;
	hid_t	sds_index_bt5_fac;

	hid_t	sds_index_QF1;
	hid_t	sds_index_QF2;
	hid_t	sds_index_QF3;
	hid_t	sds_index_QF4;
	hid_t	sds_index_QF5;
	hid_t	sds_index_QF13;
	hid_t	sds_index_QFGeo;


	hid_t	sds_index_lat, sds_index_lon;
	hid_t	sds_index_viewzen, sds_index_solzen;
	hid_t	sds_index_viewaz, sds_index_solaz, sds_index_midtime;


	char BeginningDate[9];
	char BeginningTime[15];

	char *timestamp;
	int		nscans;
	enum Satellite	sat;


	float		ScaleR1, OffsetR1;
	float		ScaleR2, OffsetR2;
	float		ScaleR3, OffsetR3;
	float		ScaleT4, OffsetT4;
	float		ScaleT5, OffsetT5;

	} InputInfo;


int InitInputHDF(hid_t sd_id_i01, hid_t sd_id_i02, hid_t sd_id_i03, hid_t sd_id_i04, hid_t sd_id_i05, hid_t sd_id_gitco, hid_t sd_m13_agg, hid_t sd_m13_unagg, InputInfo *);
int ReadInputs(InputInfo *in_info, Juggernaut *);
int read_bands(hid_t sds_index, int type, void *buff);
